Bakiye Yükleme
Bakiye Yükleme İşlemi Onayla
Broadcasts the customer’s signed transaction to Solana, waits for finalization, verifies on-chain data (memo, signer, USDC transfer, amount, destination), then credits the account balance. Creates an invoice and payment record.
POST
/
customer
/
v2
/
topup
/
confirm
Confirm Top-Up Transaction
curl --request POST \
--url https://orbitflare.com/api/customer/v2/topup/confirm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transaction": "<string>",
"wallet_address": "<string>",
"amount": 6
}
'import requests
url = "https://orbitflare.com/api/customer/v2/topup/confirm"
payload = {
"transaction": "<string>",
"wallet_address": "<string>",
"amount": 6
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({transaction: '<string>', wallet_address: '<string>', amount: 6})
};
fetch('https://orbitflare.com/api/customer/v2/topup/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"balance": 123,
"amount_credited": 123,
"invoice_reference": "<string>",
"transaction_signature": "<string>"
}
}{
"success": false,
"message": "<string>",
"errors": {},
"error": "<string>"
}{
"success": false,
"message": "<string>",
"errors": {},
"error": "<string>"
}{
"success": false,
"message": "<string>",
"errors": {},
"error": "<string>"
}Yetkilendirmeler
bearer_tokenapi_key
Bearer token from device or wallet auth
Gövde
application/json
Bu sayfa yararlı mıydı?
⌘I
Confirm Top-Up Transaction
